Radiotherapy::NestedSearch Class Reference

Nested search on the q variables. More...

## Public Member Functions

virtual bool | status (const Space &) const
| Check status of brancher, return true if alternatives left.
IntVarArgs | getRow (Radiotherapy *row, int i)
virtual Gecode::Choice * | choice (Space &home)
| Return choice.
virtual Choice * | choice (const Space &, Archive &e)
| Return choice.
virtual ExecStatus | commit (Space &, const Gecode::Choice &_c, unsigned int)
| Perform commit for choice _c and alternative a.
virtual void | print (const Space &, const Gecode::Choice &_c, unsigned int, std::ostream &o) const
| Print explanation.
virtual Actor * | copy (Space &home)
| Copy brancher.
size_t | dispose (Space &home)
| Dispose member function.
virtual NGL * | ngl (Space &home, const Choice &c, unsigned int a) const
| Create no-good literal for choice c and alternative a.
unsigned int | id (void) const
| Return brancher id.
BrancherGroup | group (void) const
| Return group brancher belongs to.
void | group (BrancherGroup g)
| Add brancher to group g.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static void | post (Home home)
| Post brancher.
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Additional Inherited Members

Protected Member Functions inherited from Gecode::Brancher
| Brancher (Home home)
| Constructor for creation.
| Brancher (Space &home, Brancher &b)
| Constructor for cloning b.

## Detailed Description

Nested search on the q variables.

Definition at line 203 of file radiotherapy.cpp.

## Member Function Documentation

## status()

virtual bool Radiotherapy::NestedSearch::status | ( | const Space & | home | ) | const

inline virtual

Check status of brancher, return true if alternatives left.

This method is called when Space::status is called, it determines whether to continue branching with this brancher or move on to the (possibly) next brancher.

Implements Gecode::Brancher.

Definition at line 254 of file radiotherapy.cpp.

## getRow()

IntVarArgs Radiotherapy::NestedSearch::getRow | ( | Radiotherapy * | row,
|  | int | i )

inline

Definition at line 258 of file radiotherapy.cpp.

## choice() [1/2]

virtual Gecode::Choice * Radiotherapy::NestedSearch::choice | ( | Space & | home | ) |

inline virtual

Return choice.

Implements Gecode::Brancher.

Definition at line 269 of file radiotherapy.cpp.

## choice() [2/2]

virtual Choice * Radiotherapy::NestedSearch::choice | ( | const Space & | ,
|  | Archive & | e )

inline virtual

Return choice.

Implements Gecode::Brancher.

Definition at line 302 of file radiotherapy.cpp.

## commit()

virtual ExecStatus Radiotherapy::NestedSearch::commit | ( | Space & | ,
|  | const Gecode::Choice & | _c,
|  | unsigned int | )

inline virtual

Perform commit for choice _c and alternative a.

Implements Gecode::Brancher.

Definition at line 307 of file radiotherapy.cpp.

## print()

virtual void Radiotherapy::NestedSearch::print | ( | const Space & | ,
|  | const Gecode::Choice & | _c,
|  | unsigned int | ,
|  | std::ostream & | o ) const

inline virtual

Print explanation.

Reimplemented from Gecode::Brancher.

Definition at line 311 of file radiotherapy.cpp.

## copy()

virtual Actor * Radiotherapy::NestedSearch::copy | ( | Space & | home | ) |

inline virtual

Copy brancher.

Implements Gecode::Actor.

Definition at line 318 of file radiotherapy.cpp.

## post()

void Radiotherapy::NestedSearch::post | ( | Home | home | ) |

inline static

Post brancher.

Definition at line 322 of file radiotherapy.cpp.

## dispose()

size_t Radiotherapy::NestedSearch::dispose | ( | Space & | home | ) |

inline virtual

Dispose member function.

Reimplemented from Gecode::Actor.

Definition at line 326 of file radiotherapy.cpp.

The documentation for this class was generated from the following file:

- examples/radiotherapy.cpp